org.kie.internal.ruleunit

## Interface RuleUnitDescription

-     public interface RuleUnitDescription

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default String` | `getCanonicalName()`
    `Optional<Class<?>>` | `getDatasourceType(String name)`
    `default String` | `getEntryPointName(String name)`
    `String` | `getPackageName()`
    `Class<?>` | `getRuleUnitClass()` Deprecated. this is only used by PMML
    `default String` | `getRuleUnitName()`
    `String` | `getSimpleName()`
    `Collection<? extends RuleUnitVariable>` | `getUnitVarDeclarations()`
    `Collection<String>` | `getUnitVars()`
    `RuleUnitVariable` | `getVar(String name)`
    `Optional<Class<?>>` | `getVarType(String name)`
    `boolean` | `hasDataSource(String name)`
    `boolean` | `hasVar(String name)`

- - ### Method Detail

    - #### getRuleUnitClass

          @Deprecated
          Class<?> getRuleUnitClass()

      Deprecated. this is only used by PMML

    - #### getRuleUnitName

          default String getRuleUnitName()

    - #### getCanonicalName

          default String getCanonicalName()

    - #### getSimpleName

          String getSimpleName()

    - #### getPackageName

          String getPackageName()

    - #### getEntryPointName

          default String getEntryPointName(String name)

    - #### getDatasourceType

          Optional<Class<?>> getDatasourceType(String name)

    - #### getVarType

          Optional<Class<?>> getVarType(String name)

    - #### getVar

          RuleUnitVariable getVar(String name)

    - #### hasVar

          boolean hasVar(String name)

    - #### getUnitVars

          Collection<String> getUnitVars()

    - #### getUnitVarDeclarations

          Collection<? extends RuleUnitVariable> getUnitVarDeclarations()

    - #### hasDataSource

          boolean hasDataSource(String name)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.